aboutsummaryrefslogtreecommitdiffstats
path: root/main/recordmydesktop/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-01-03 10:03:46 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-01-03 10:04:44 +0000
commitdd04485bc45202b49ea7c5b58f9aa211b4dd47d7 (patch)
tree572faf2e385914854cc9e67b21bdf711e2ea0973 /main/recordmydesktop/APKBUILD
parent8580c902f26bfdde8552e9a91d2f351ba384701a (diff)
downloadaports-dd04485bc45202b49ea7c5b58f9aa211b4dd47d7.tar.gz
aports-dd04485bc45202b49ea7c5b58f9aa211b4dd47d7.tar.bz2
aports-dd04485bc45202b49ea7c5b58f9aa211b4dd47d7.tar.xz
main/recordmydesktop: build fix. fix libm underlinking
Diffstat (limited to 'main/recordmydesktop/APKBUILD')
-rw-r--r--main/recordmydesktop/APKBUILD21
1 files changed, 14 insertions, 7 deletions
diff --git a/main/recordmydesktop/APKBUILD b/main/recordmydesktop/APKBUILD
index 6d07961b5e..d67a5ec9bf 100644
--- a/main/recordmydesktop/APKBUILD
+++ b/main/recordmydesktop/APKBUILD
@@ -1,24 +1,30 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=recordmydesktop
pkgver=0.3.8.1
-pkgrel=1
+pkgrel=2
pkgdesc="Produces a OGG encapsulated Theora/Vorbis recording of your desktop"
url="http://recordmydesktop.sourceforge.net"
arch="all"
license="GPL"
depends=""
makedepends="alsa-lib-dev zlib-dev libvorbis-dev libxdamage-dev libxext-dev
- libtheora-dev libsm-dev"
+ libtheora-dev libsm-dev autoconf automake libtool"
subpackages="$pkgname-doc"
source="http://downloads.sourceforge.net/recordmydesktop/recordmydesktop-$pkgver.tar.gz
shmstr-to-shmproto.patch
- recordmydesktop-bitrate.patch"
+ recordmydesktop-bitrate.patch
+ libm-underlinking.patch
+ "
_builddir="$srcdir"/$pkgname-$pkgver
prepare() {
cd "$_builddir"
- patch -p0 < $srcdir/shmstr-to-shmproto.patch
- patch -p1 < $srcdir/recordmydesktop-bitrate.patch
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+ libtoolize --force && aclocal && autoconf && automake || return 1
}
build() {
@@ -34,5 +40,6 @@ package() {
}
md5sums="6998b165540598965499bd99d8aa0eef recordmydesktop-0.3.8.1.tar.gz
-211a1773f223b3f281520aa1056395e6 shmstr-to-shmproto.patch
-b0794a769efd287e9e8c5fb8c3299b35 recordmydesktop-bitrate.patch"
+7aa0bb8a8821b7178137e5293d1046a7 shmstr-to-shmproto.patch
+b0794a769efd287e9e8c5fb8c3299b35 recordmydesktop-bitrate.patch
+28ed60c8c7c5a139a14a74fa228f2d0b libm-underlinking.patch"